SYSFS_REMOVE_DIR(9)

NAME
sysfs_remove_dir - remove an object's directory.

SYNOPSIS

void sysfs_remove_dir (struct kobject * kobj);

ARGUMENTS

kobj
    object.

DESCRIPTION

The only thing special about this is that we remove any files in the directory before we remove the directory, and we've inlined what used to be sysfs_rmdir below, instead of calling separately.